Bug Hunting Session
Bug 96482 - cannot access columns of a tablecontrol in design mode
Summary: cannot access columns of a tablecontrol in design mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords: bibisected, regression
: 96845 96848 97045 97127 97415 97678 97883 98420 99944 (view as bug list)
Depends on: 94069
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 14:10 UTC by Lionel Elie Mamane
Modified: 2016-10-25 19:02 UTC (History)
21 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot buggy behaviour (26.50 KB, image/png)
2015-12-14 15:58 UTC, Lionel Elie Mamane
Details
screenshot correct/expected behaviour (23.68 KB, image/png)
2015-12-14 15:58 UTC, Lionel Elie Mamane
Details
screenshot buggy mouse pointer (21.27 KB, image/png)
2015-12-30 21:33 UTC, Gisbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-12-14 14:10:15 UTC
Regression introduced by:

commit a08a5ff76b78f828367467a0a1610d2f7e63ad75
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Nov 10 20:37:00 2015 +0000

    Resolves: tdf#94069 call setVisible when setDesignMode is called


In form design mode, when one right-clicks on a column header, one gets the contextual menu of the whole table control, instead of the contextual menu of that column. Since that makes any change to the columns impossible from the UI, that a rather serious feature loss.

One also cannot resize, move, copy, delete the columns, nor add a new one.

Looks like we understood why setVisible was not called from FmXGridPeer::setDesignMode... And we need to fix bug 94069 in some other way...
Comment 1 Lionel Elie Mamane 2015-12-14 15:58:08 UTC
Created attachment 121298 [details]
screenshot buggy behaviour

buggy behaviour when right-clicking on a column header
Comment 2 Lionel Elie Mamane 2015-12-14 15:58:42 UTC
Created attachment 121299 [details]
screenshot correct/expected behaviour
Comment 3 raal 2015-12-14 20:07:51 UTC
reproducible with Version: 5.2.0.0.alpha0+
Build ID: de9d0e797903e7ecc19be2b05c7e89d5936ae02d
Threads 4; Ver: Linux 4.2; Render: default; 

TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-12-03_04:13:00
Comment 4 Joel Madero 2015-12-14 21:48:08 UTC
Findings:
Reverting the commit results in:

Flicker when moving;
No hang;
Right click context menu on column header works as expected


Bodhi Moksha
Comment 5 Lionel Elie Mamane 2015-12-15 05:58:11 UTC
OK, so the immediate plan is:

1) in master, revert
   "Resolves: tdf#94069 call setVisible when setDesignMode is called"

2) find out which other commit in master fixed the hang of bug 94069,
   backport that to libreoffice-5-0, too, and revert
   "Resolves: tdf#94069 call setVisible when setDesignMode is called"
   in libreoffice-5-0

3) handle libreoffice-5-1


Caolan, you have the best clue about "which other commit in master fixed the hang of bug 94069"...
Comment 6 Alex Thurgood 2015-12-15 08:21:17 UTC
Confirmiung also in master :

Version: 5.2.0.0.alpha0+
Build ID: ce3d3f5543e3e132a3473af27aa2c827336add0f
CPU Threads: 2; OS Version: -; UI Render: default; 
Locale : fr-FR (fr.UTF-8)
OSX 10.11.2
Comment 7 Commit Notification 2015-12-17 15:19:20 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57b1cf5862429d86a82158eb5e8cf425fd2f4527

tdf#96482 Revert "Resolves: tdf#94069 call setVisible when setDesignMode is called"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Gisbert 2015-12-30 21:33:27 UTC
Created attachment 121651 [details]
screenshot buggy mouse pointer

LO 5.0.4.2
Shows that mouse pointer does not change to arrow when passing over tablehead.
Comment 9 David Tardon 2016-01-01 15:45:19 UTC
*** Bug 96845 has been marked as a duplicate of this bug. ***
Comment 10 David Tardon 2016-01-02 07:56:56 UTC
*** Bug 96848 has been marked as a duplicate of this bug. ***
Comment 11 Lionel Elie Mamane 2016-01-11 11:37:24 UTC
I just tested that reverting the fix for bug 94069 in libreoffice-5-1 does not reintroduce that bug. Which means that the "other fix" is not only in master, but also in libreoffice-5-1.

I thus requested revert in https://gerrit.libreoffice.org/21344

Hopefully it can make it into rc2 (and final).
Comment 12 Commit Notification 2016-01-11 13:09:00 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3408d37aed9d494e1401417a9344012a54ebdfd8&h=libreoffice-5-1

tdf#96482 Revert "tdf#94069 call setVisible when setDesignMode is called"

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Alex Thurgood 2016-01-11 15:03:12 UTC
*** Bug 97045 has been marked as a duplicate of this bug. ***
Comment 14 Alex Thurgood 2016-01-15 07:23:01 UTC
*** Bug 97127 has been marked as a duplicate of this bug. ***
Comment 15 Neguelouart Nicolas 2016-01-15 08:33:13 UTC
Tested in 5.0.1.2, the bug seems to be solved. Congratulations!
Comment 16 tim 2016-01-18 16:35:41 UTC
(In reply to Neguelouart Nicolas from comment #15)
> Tested in 5.0.1.2, the bug seems to be solved. Congratulations!
I assume you mean 5.1.0.2?  

I'm waiting for that to come to the ubuntu pre-release PPA, then I'll test it myself (using non-PPA versions has got me into difficulty in the past).
Comment 17 Neguelouart Nicolas 2016-01-18 16:43:11 UTC
Yes, you're right, it's the 5.1.0.2 version. Sorry.

I have tested it on windows 7.
Comment 18 tim 2016-01-23 17:49:41 UTC
Works for me - ubuntu 14.04 64 bit LO 5.1.0.2.

Many thanks.
Comment 19 Jakobus Schürz 2016-01-28 13:52:28 UTC
Libreoffice 5.0.5 on Debian and 5.0.4 on Win7 is still broken.
Comment 20 Michael Meeks 2016-01-28 18:23:58 UTC
Works nicely in 5.1.0 - thanks to Caolan that we know that this is down to the idle re-work there:

commit 87199d3829257420429057336283c55be6ae7481
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Tue Nov 24 16:59:29 2015 +0000

    vcl: re-introduce idle handling.

Abandoning for 5.0.x - too intrusive to back-port.
Comment 21 Buovjaga 2016-01-29 09:11:16 UTC
*** Bug 97415 has been marked as a duplicate of this bug. ***
Comment 22 steve -_- 2016-02-15 09:05:43 UTC
*** Bug 97678 has been marked as a duplicate of this bug. ***
Comment 23 Robert Großkopf 2016-02-16 18:05:13 UTC
*** Bug 97883 has been marked as a duplicate of this bug. ***
Comment 24 Tom 2016-05-13 17:14:20 UTC
OSX 10.10.5
LibreOffice 5.0.6.3 Still
Comment 25 Joel Madero 2016-05-13 19:19:49 UTC
Yes - you can see from the "target" that the patch was not backported. 5.0 is EOL (or will be in just two weeks) and will not be receiving additional updates. Please upgrade to 5.1 if you want this patch.
Comment 26 frofa 2016-05-20 23:39:19 UTC
*** Bug 99944 has been marked as a duplicate of this bug. ***
Comment 27 Alex Thurgood 2016-06-03 10:11:53 UTC
*** Bug 98420 has been marked as a duplicate of this bug. ***